package com.iarkdata.bigdata.common;

import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;

public class PropertiesUtils {
    private PropertiesUtils() {
    }

    public static Properties loadProperties(String path) {
        try (
                InputStream inputStream = IOUtils.loadFile(path)
        ) {
            Properties properties = new Properties();
            properties.load(inputStream);
            return properties;
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }
}
